lint:
  image:
    name: dtzar/helm-kubectl:3.8.2
    entrypoint: [""]
  stage: test
  script:
    - helm lint charts/*

prod:
  variables:
    NEXUS_REPO: "https://nexus.uttnetgroup.fr/repository/ungdev-charts/"
  image:
    name: dtzar/helm-kubectl:3.8.2
    entrypoint: [""]
  stage: deploy
  script:
    - mkdir -p ./public
    - helm package charts/* --destination ./public
    - for i in $(ls public/); do curl -u $NEXUS_USER:$NEXUS_PASSWORD --upload-file public/$i $NEXUS_REPO; done
  only:
    - main
